Subject: Re: bug#25025: python-shell-calculate-command is wrong

From: [email-masked]
Date: Mon, 28 Nov 2016 09:15:52 -0500

Andreas Röhler <[email-masked]> writes:
>
> Executing Python code via a shell might produce subtle bugs. See
> https://bugs.launchpad.net/python-mode/+bug/550661

We're talking about executing the python executable via a shell, not
python code via a "python shell", which is something different.

>
> Following the OP's suggestion seems reasonable. Just drop it at place
> and see if something gets broken - wouldn't expect it.

See https://debbugs.gnu.org/cgi/bugreport.cgi?bug=25025#8 for why it
would break.